﻿@charset "utf-8";
@import url("reset.css");
@import url("default.css");

/* --------------------------------------------------------------------
		Font-size Adjustment.
			77% = 10px	|	123.1% = 16px	|	167% = 22px
			85% = 11px	|	131% =  17px	|	174% = 23px 
			93% = 12px	|	138.5% = 18px	|	182% = 24px 
			100% = 13px	|	146.5% = 19px	|	189% = 25px 
			108% = 14px	|	153.9% = 20px	|	197% = 26px 
			116% = 15px	|	161.6% = 21px	| 
-------------------------------------------------------------------- */
@import url('https://fonts.googleapis.com/css?family=Sawarabi+Gothic')
html {
	color: #333;
}
body {
	background-image: url(../img/common/body-bg.jpg);
	background-position: center center;
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-size: cover;
	background-color: #fff;
	font-family:"Sawarabi Gothic", "Yu Gothic", "游ゴシック", YuGothic, "游ゴシック体", "ヒラギノ角ゴ Pro W3", "メイリオ", sans-serif;
}
.header-logo {
    background: #e0fbfc;
}
.header-logo img {
    margin: 10px;
    max-width: 260px;
    width: 100%;
}
article {
    min-height: 600px;
}
footer {
    position: relative;
    margin-top: 60px;
    padding: 20px;
    min-height: 240px;
    position: relative;
    background-color: #3d5a80;
}
.footer-menu ul li {
    color: #fff;
}
.footer-menu ul li a {
    color: #fff;
}
.footer-menu ul li a:hover {
    color: #ddd;
    text-decoration: none;
}
footer address {
    margin: 3px 0;
    color: #fff;
    line-height: 130%;
}
.ma {
    color: #ffffff;
}
.page-top {
    position: absolute;
    top: -20px;
    left: 0;
    font-size: .7rem;
    background-color: #3d5a80;
    text-align: center;
    border-radius: 0 8px 0 0;
}
.page-top a {
    display: block;
    width: 80px;
    height: 10px;
    padding: 5px;
    color: #fff;
}
.page-top a:hover {
    text-decoration: none;
    background-color: #4d6a90;
    border-radius: 0 8px 0 0;
}
.copyright {
    position: absolute;
    right: 0;
    left: 0;
    bottom: 10px;
    text-align: center;
    color: #fff;
}
@media screen and (min-width:480px){
}
@media screen and (min-width:768px){
    .header-logo img {
        max-width: 320px;
        width: 100%;
    }
}
/* end: Back-header -------------------------------- */

/* start: clearfix -------------------------------- */
.clearfix:after {
	content: ".";
	font-size: 0.1em;
	line-height: 0;
	display: block;
	height: 0.1px;
	visibility: hidden;
	clear: both;
} 

.clearfix {
	display: inline-block;
}

/* Hides from Mac IE \*/
* html .clearfix {
	height: 1%;
}
.clearfix {
	display: block;
}
/* End Hide from Mac IE */
/* end: clearfix -------------------------------- */
/* start: Highlight -------------------------------- */
.Highlight a:hover img {
filter: alpha(opacity=75);
-moz-opacity:0.75;
opacity:0.75;
}
/* end: Highlight -------------------------------- */
/* start: Page-top -------------------------------- */
#Page-top {
	position: fixed;
	bottom: 20px;
	right: 20px;
	font-size: 77%;
}
#Page-top a {
	background: #444;
	text-decoration: none;
	color: #fff;
	width: 100px;
	padding: 15px 0;
	text-align: center;
	display: block;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
}
#Page-top a:hover {
	text-decoration: none;
	background: #999;
}
/* end: Page-top -------------------------------- */
body {
  background: #ffffff;
  margin: 0;
  font-family: arial;
  width: 100%;
  height: 100vh;
  animation: bugfix infinite 1s;
  -webkit-animation: bugfix infinite 1s;
}

@keyframes bugfix {
  from {
    padding: 0;
  }
  to {
    padding: 0;
  }
}
@-webkit-keyframes bugfix {
  from {
    padding: 0;
  }
  to {
    padding: 0;
  }
}
#overlay-button {
  position: absolute;
  right: .5em;
  top: .5em;
  padding: 26px 11px;
  z-index: 5;
  cursor: pointer;
  user-select: none;
}
#overlay-button span {
  height: 4px;
  width: 35px;
  border-radius: 2px;
  background-color: #333333;
  position: relative;
  display: block;
  transition: all .2s ease-in-out;
}
#overlay-button span:before {
  top: -10px;
  visibility: visible;
}
#overlay-button span:after {
  top: 10px;
}
#overlay-button span:before, #overlay-button span:after {
  height: 4px;
  width: 35px;
  border-radius: 2px;
  background-color: #333333;
  position: absolute;
  content: "";
  transition: all .2s ease-in-out;
}
#overlay-button:hover span, #overlay-button:hover span:before, #overlay-button:hover span:after {
  background: #777777;
}

input[type=checkbox] {
  display: none; 
  
}

input[type=checkbox]:checked ~ #overlay {
  visibility: visible; 
}

input[type=checkbox]:checked ~ #overlay-button:hover span, input[type=checkbox]:checked ~ #overlay-button span {
  background: transparent;
  
  
}
input[type=checkbox]:checked ~ #overlay-button span:before {
  transform: rotate(45deg) translate(7px, 7px);

}
input[type=checkbox]:checked ~ #overlay-button span:after {
  transform: rotate(-45deg) translate(7px, -7px);


}

#overlay {
  height: 100vh;
  width: 100vw;
  background-color: #e0fbfc;
  z-index: 2;
  visibility: hidden;
  position: fixed;
}
#overlay.active {

}
#overlay ul {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  height: 100vh;
  padding-left: 0;
  list-style-type: none;
}
#overlay ul li {
  padding: 0.6em;
  list-style-type: none;
}
#overlay ul li a {
  color: #333;
  text-decoration: none;
  font-size: 1.3em;
}
#overlay ul li a:hover {
  color: #777!important;
}

